<?php

defined('BASEPATH') or exit('No direct script access allowed');

class Propertybase_modules extends AdminController
{
    public function __construct()
    {
        parent::__construct();
        $this->load->model('propertybase_model');
        hooks()->do_action('propertybase_init');
    }

    public function index()
    {
        if (!is_admin()) {
            access_denied('propertybase_modules');
        }

        $data['title'] = _l('propertybase_modules');
        $data['modules_list'] = propertybase_fetch_modules(true);

        $this->load->view('admin/modules/manage', $data);
    }
}